SMDConstructionHeuristic Class Reference

an implementation of the "static minimum degree" heuristic for contructing a matching

`#include <SMDConstructionHeuristic.h>`

Inheritance diagram for SMDConstructionHeuristic:

## Classes

class | SmallerVertexDegree

## Public Member Functions

| SMDConstructionHeuristic (Graph *g, Matching *m, float goal=100.0)
virtual | ~SMDConstructionHeuristic (void)
const char * | getName (void) const
void | run (void)
Public Member Functions inherited from MatchingAlgorithm
| MatchingAlgorithm (Graph *g, Matching *m, float goal)
virtual | ~MatchingAlgorithm (void)
Matching * | getMatching (void) const
void | setGoal (float goal)

## Private Attributes

std::vector< Vertex * > | Vertices

## Additional Inherited Members

Protected Attributes inherited from MatchingAlgorithm
Graph * | TheGraph
Matching * | TheMatching
unsigned long | CardinalityGoal

## Constructor & Destructor Documentation

## SMDConstructionHeuristic()

SMDConstructionHeuristic::SMDConstructionHeuristic | ( | Graph * | g,
|  | Matching * | m,
|  | float | goal = 100.0 )

## ~SMDConstructionHeuristic()

virtual SMDConstructionHeuristic::~SMDConstructionHeuristic | ( | void |  | ) |

inline virtual

## Member Function Documentation

## getName()

const char * SMDConstructionHeuristic::getName | ( | void |  | ) | const

inline virtual

Implements MatchingAlgorithm.

## run()

void SMDConstructionHeuristic::run | ( | void |  | ) |

virtual

Implements MatchingAlgorithm.

## Member Data Documentation

## Vertices

std::vector<Vertex*> SMDConstructionHeuristic::Vertices

private

The documentation for this class was generated from the following files:

- SMDConstructionHeuristic.h
- SMDConstructionHeuristic.cc